package statemachine.hsm;

import java.util.EventObject;

/**
 * This class represents event for Hierarchical State Machine (HSM)
 * @author Alexei Krasnopolski (krasnop@bellsouth.net)
 */
public class Event extends EventObject
{
  private final int id;

  public Event( Object o, int id )
  {
    super( o );
    this.id = id;
  }

  public int getID()
  {
    return id;
  }

}
